From c9d15fbd59f84355118987bbbbbad24d68c9b9bf Mon Sep 17 00:00:00 2001
From: John Crispin <john@openwrt.org>
Date: Thu, 11 Sep 2014 12:26:41 +0000
Subject: umbim: update to latest git

adds handling for username/password

Signed-off-by: John Crispin <blogic@openwrt.org>

SVN-Revision: 42466
---
 package/network/utils/umbim/files/lib/netifd/proto/mbim.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

(limited to 'package/network/utils/umbim/files/lib/netifd')

diff --git a/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh b/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
index c93ba331df..3cc7412e6b 100755
--- a/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
+++ b/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
@@ -11,6 +11,9 @@ proto_mbim_init_config() {
 	proto_config_add_string apn
 	proto_config_add_string pincode
 	proto_config_add_string delay
+	proto_config_add_string auth
+	proto_config_add_string username
+	proto_config_add_string password
 }
 
 proto_mbim_setup() {
@@ -19,7 +22,7 @@ proto_mbim_setup() {
 	local ret
 
 	local device apn pincode delay
-	json_get_vars device apn pincode delay
+	json_get_vars device apn pincode delay auth username password
 
 	[ -n "$device" ] || {
 		logger -p daemon.err -t "mbim[$$]" "No control device specified"
@@ -40,7 +43,6 @@ proto_mbim_setup() {
 		return 1
 	}
 
-
 	[ -n "$delay" ] && sleep "$delay"
 
 	logger -p daemon.info -t "mbim[$$]" "Reading capabilities"
@@ -100,7 +102,7 @@ proto_mbim_setup() {
 	tid=$((tid + 1))
  
 	logger -p daemon.info -t "mbim[$$]" "Connect to network"
-	while ! umbim $DBG -n -t $tid -d $device connect "$apn"; do
+	while ! umbim $DBG -n -t $tid -d $device connect "$apn" "$auth" "$username" "$password"; do
 		tid=$((tid + 1))
 		sleep 1;
 	done
-- 
cgit v1.2.3